package com.fjhx.oa.controller.device;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.device.dto.DeviceRepairDto;
import com.fjhx.oa.entity.device.dto.DeviceRepairSelectDto;
import com.fjhx.oa.entity.device.vo.DeviceRepairVo;
import com.fjhx.oa.service.device.DeviceRepairService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 设备维修 前端控制器
 * </p>
 *
 * @author
 * @since 2024-06-24
 */
@RestController
@RequestMapping("/deviceRepair")
public class DeviceRepairController {

    @Autowired
    private DeviceRepairService deviceRepairService;

    /**
     * 设备维修分页
     */
    @PostMapping("/page")
    public Page<DeviceRepairVo> page(@RequestBody DeviceRepairSelectDto dto) {
        return deviceRepairService.getPage(dto);
    }

    /**
     * 设备维修明细
     */
    @PostMapping("/detail")
    public DeviceRepairVo detail(@RequestBody BaseSelectDto dto) {
        return deviceRepairService.detail(dto.getId());
    }

    /**
     * 设备维修新增
     */
    @PostMapping("/add")
    public void add(@RequestBody DeviceRepairDto deviceRepairDto) {
        deviceRepairService.add(deviceRepairDto);
    }

    /**
     * 设备维修编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody DeviceRepairDto deviceRepairDto) {
        deviceRepairService.edit(deviceRepairDto);
    }

    /**
     * 设备维修删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        deviceRepairService.delete(dto.getId());
    }

}
