package com.fjhx.wms.service.contract.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fjhx.wms.entity.contract.dto.ContractMrpInfoSelectDto;
import com.fjhx.wms.entity.contract.po.ContractMrpInfo;
import com.fjhx.wms.entity.contract.vo.ContractMrpInfoVo;
import com.fjhx.wms.mapper.contract.ContractMrpInfoMapper;
import com.fjhx.wms.service.contract.ContractMrpInfoService;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.ruoyi.common.utils.wrapper.SqlField;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 合同物料MRP信息 服务实现类
 * </p>
 *
 * @author
 * @since 2024-06-24
 */
@Service
public class ContractMrpInfoServiceImpl extends ServiceImpl<ContractMrpInfoMapper, ContractMrpInfo> implements ContractMrpInfoService {

    @Override
    public Page<ContractMrpInfoVo> getPage(ContractMrpInfoSelectDto dto) {
        IWrapper<ContractMrpInfo> wrapper = getWrapper();

        wrapper.eq("cmi", ContractMrpInfo::getContractId, dto.getContractId());

        wrapper.keyword(dto.getKeyword(), new SqlField("pi.name"), new SqlField("pi.custom_code"));

        wrapper.orderByDesc("cmi", ContractMrpInfo::getId);
        Page<ContractMrpInfoVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

}
